﻿@model EditVersionChangesDetails
@using SiteGuide.Service
@using SiteGuide.Service.Extensions
@using SiteGuide.Service.Helpers
@using SiteGuide.Service.Identifiers
@using SiteGuide.Web.Helpers
@using SiteGuide.DAL.Models

@{
    ViewData["Title"] = $"Edit Version {Model.ThisEdit.Id}" + $" compared to version {Model.CompareToVersion.Id}";
}

<div class="row mb-5">
    <div class="col-md-5">
        <h1>Differences between</h1>
        <div class="card">
            <h4 class="card-header">Edit @(Model.ThisEdit.EditId).@Model.ThisEdit.EditVersionNumber</h4>
            <div class="card-body">
                Status: @Model.ThisEdit.Status.Name
                @if (Model.ThisEdit.Status == EditVersionStatus.Accepted)
                {
                    <text>as version @Model.ThisEditAppliedAsVersion"</text>
                }
                @if (Model.ThisEdit.SubmittedTime != null)
                {
                    <text>on @LocalTimeHelper.LocalTime((DateTime)Model.ThisEdit.SubmittedTime)</text>
                }
                <br />
                @if (Permissions.MaySeeAuthorName(User))
                {
                    <text>Author: @Model.ThisEdit.AuthorName</text>
                    <br />
                }
                Comment: <em>@Model.ThisEdit.Comment</em>
                <br />
                Created: @LocalTimeHelper.LocalTime(Model.ThisEdit.InitialisedTime)
            </div>
        </div>
    </div>
    <div class="col-md-5">
        <h1>and</h1>
        <div class="card">
            <h4 class="card-header">Version @Model.CompareToVersion.Id</h4>
            <div class="card-body">
                Published @LocalTimeHelper.LocalTime((DateTime)Model.CompareToVersion.PublishedTime)
            </div>
        </div>
    </div>
</div>
@*<table class="table">
        <tbody>
            <tr>
                <td>Published</td>
                <td>@Model.SubmittedTime</td>
            </tr>
            <tr>
                <td>Author</td>
                <td>@Model.AuthorName</td>
            </tr>
            <tr>
                <td>
                    Role
                </td>
                <td>@Model.AuthorRole</td>
            </tr>
        </tbody>
    </table>*@

<div>
    <ChangeDetails data-node="@Model.ThisEdit.EditIdAndVersionNumber"
                   data-show-view-buttons="true"
                   data-show-edit-button="@Model.IsEditableByCurrentUser.ToString().ToLowerInvariant()" />
</div>
